> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Published Shared Pipeline Artifacts

> Returns a paginated list of published shared pipeline artifacts for the account. Supports pagination and sorting.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/shared-pipelines/artifacts
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/shared-pipelines/artifacts:
    get:
      tags:
        - Shared Pipeline Artifacts
      summary: List Published Shared Pipeline Artifacts
      description: >-
        Returns a paginated list of published shared pipeline artifacts for the
        account. Supports pagination and sorting.
      operationId: listSharedArtifacts
      parameters:
        - example: my-shared-pipeline
          in: query
          name: sharedPipelineIdPrefix
          required: false
          schema:
            type: string
            example: my-shared-pipeline
        - example: my-pipeline
          in: query
          name: sharedPipelineId
          required: false
          schema:
            type: string
            example: my-pipeline
        - example: 1.0.0
          in: query
          name: versionName
          required: false
          schema:
            type: string
            example: 1.0.0
        - example: true
          in: query
          name: enabledOnly
          required: false
          schema:
            type: boolean
            example: true
        - description: Zero-based page index (0..N)
          in: query
          name: page
          required: false
          schema:
            type: integer
            default: 0
            minimum: 0
        - description: The size of the page to be returned
          in: query
          name: size
          required: false
          schema:
            type: integer
            default: 25
            minimum: 1
        - description: >-
            Sorting criteria in the format: property,(asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          in: query
          name: sort
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSharedPipelinesResponse'
          description: Shared pipeline artifacts listed successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid filter parameters
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Missing or invalid authentication token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: User lacks permission to list shared pipeline artifacts
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Resource not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ListSharedPipelinesResponse:
      type: object
      properties:
        page:
          type: integer
          format: int32
          description: The 0-indexed page number of the returned results
          example: 0
        results:
          type: array
          description: Page of published shared pipeline items, or empty
          items:
            $ref: '#/components/schemas/SharedPipelineMetadata'
        size:
          type: integer
          format: int32
          description: The size of each page of results
          example: 20
        total:
          type: integer
          format: int64
          description: >-
            Total number of available published shared pipeline items across all
            pages
          example: 42
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    SharedPipelineMetadata:
      type: object
      properties:
        branch:
          type: string
          description: The git branch associated with this version, if available
          example: main
        commitHash:
          type: string
          description: The git commit hash associated with this version, if available
          example: a1b2c3d4e5f6
        createdAt:
          type: string
          format: date-time
          description: The date and time this shared pipeline version was created
          example: '2025-01-15T10:30:00.000Z'
        enabled:
          type: boolean
          description: Whether this version of the shared pipeline is enabled
          example: true
        provider:
          type: string
          description: Provider identifier
          example: matillion
        sharedPipelineIdPrefix:
          type: string
          description: The prefix identifier grouping related shared pipelines
          example: my-shared-pipeline
        versionName:
          type: string
          description: The version name of the shared pipeline artifact
          example: 1.0.0
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````